Default browser uses old Brave

When trying to click links from a third party, such as Discord which I use regularly, it will open the old Brave. However, because the old Brave is obsolete and no longer supported, it just shows up with the tab telling me so. I tried to change the settings, but there’s only 1 Brave option, which is what it currently is.

Are you sure that the latest version is installed?

It’s strange that the new version doesn’t appear in the standard apps.

For understanding, did you uninstall the “old” brave version first? If not, do so.
Secondly update your current brave browser to the latest version. (“Ξ Burger Menue” > “About Brave” > “Update”)